/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$
 */

package com.sun.ts.tests.jaxrs.ee.rs.ext.paramconverter;

import javax.ws.rs.Consumes;
import javax.ws.rs.Path;
import javax.ws.rs.core.MediaType;

@Path("locator")
public class Locator {

	@Path("sbquery")
	public Resource stringBeanQuery() {
		return new Resource();
	}

	@Path("sbpath")
	public Resource stringBeanPath() {
		return new Resource();
	}
	
	@Path("sbmatrix")
	public Resource stringBeanMatrix() {
		return new Resource();
	}

	@Path("sbform")
	@Consumes(MediaType.APPLICATION_FORM_URLENCODED)
	public Resource stringBeanForm() {
		return new Resource();
	}

	@Path("sbcookie")
	public Resource stringBeanCookie() {
		return new Resource();
	}

	@Path("sbheader")
	public Resource stringBeanHeader() {
		return new Resource();
	}

}
